MONGOC_BULK_OPERATION_T(3)

NAME
mongoc_bulk_operation_t - mongoc_bulk_operation_t

Bulk Write Operations

SYNOPSIS

typedef struct _mongoc_bulk_operation_t mongoc_bulk_operation_t;

The opaque type mongoc_bulk_operation_t provides an abstraction for submitting multiple write operations as a single batch.

After adding all of the write operations to the mongoc_bulk_operation_t, call mongoc_bulk_operation_execute() to execute the operation.

WARNING: It is only valid to call mongoc_bulk_operation_execute() once. The mongoc_bulk_operation_t must be destroyed afterwards.

SEE ALSO

Bulk Write Operations

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc